/*
 * Performance Metrics Name Space Map
 * Built by pmgenmap.sh from the file
 * systmetrics.map
 * on Fri Sep  8 04:59:44 UTC 2023
 *
 * Do not edit this file!
 */

/*
 *
 * metric names and access macros for photosyst.[ch]
 *
 */

const char *systmetrics[] = {
/* /proc/loadavg */
#define CPU_LOAD	0
	"kernel.all.load",

/* /proc/stat */
#define CPU_CSW	1
	"kernel.all.pswitch",
#define CPU_DEVINT	2
	"kernel.all.intr",
#define CPU_NPROCS	3
	"kernel.all.sysfork",
#define CPU_UTIME	4
	"kernel.all.cpu.user",
#define CPU_NTIME	5
	"kernel.all.cpu.nice",
#define CPU_STIME	6
	"kernel.all.cpu.sys",
#define CPU_ITIME	7
	"kernel.all.cpu.idle",
#define CPU_WTIME	8
	"kernel.all.cpu.wait.total",
#define CPU_HARDIRQ	9
	"kernel.all.cpu.irq.hard",
#define CPU_SOFTIRQ	10
	"kernel.all.cpu.irq.soft",
#define CPU_STEAL	11
	"kernel.all.cpu.steal",
#define CPU_GUEST	12
	"kernel.all.cpu.guest",
#define PERCPU_STIME	13
	"kernel.percpu.cpu.sys",
#define PERCPU_UTIME	14
	"kernel.percpu.cpu.user",
#define PERCPU_NTIME	15
	"kernel.percpu.cpu.nice",
#define PERCPU_ITIME	16
	"kernel.percpu.cpu.idle",
#define PERCPU_WTIME	17
	"kernel.percpu.cpu.wait.total",
#define PERCPU_HARDIRQ	18
	"kernel.percpu.cpu.irq.hard",
#define PERCPU_SOFTIRQ	19
	"kernel.percpu.cpu.irq.soft",
#define PERCPU_STEAL	20
	"kernel.percpu.cpu.steal",
#define PERCPU_GUEST	21
	"kernel.percpu.cpu.guest",

#define PERCPU_FREQ_CLK	22
	"hinv.cpu.clock",
#define PERCPU_FREQ_CNT	23
	"hinv.cpu.frequency_scaling.count",
#define PERCPU_FREQ_HIT	24
	"hinv.cpu.frequency_scaling.time",
#define PERCPU_FREQ_MAX	25
	"hinv.cpu.frequency_scaling.max",

/* /proc/vmstat */
#define MEM_SWINS	26
	"swap.pagesin",
#define MEM_SWOUTS	27
	"swap.pagesout",
#define MEM_PGPGIN	28
	"mem.vmstat.pgpgin",
#define MEM_PGPGOUT	29
	"mem.vmstat.pgpgout",
#define MEM_PAGETABLES	30
	"mem.vmstat.nr_page_table_pages",
#define MEM_NUMAMIGRATE	31
	"mem.vmstat.numa_pages_migrated",
#define MEM_PGMIGRATE	32
	"mem.vmstat.pgmigrate_success",
#define MEM_SCAN_DDMA	33
	"mem.vmstat.pgscan_direct_dma",
#define MEM_SCAN_DDMA32	34
	"mem.vmstat.pgscan_direct_dma32",
#define MEM_SCAN_DHIGH	35
	"mem.vmstat.pgscan_direct_high",
#define MEM_SCAN_DMOVABLE	36
	"mem.vmstat.pgscan_direct_movable",
#define MEM_SCAN_DNORMAL	37
	"mem.vmstat.pgscan_direct_normal",
#define MEM_SCAN_KDMA	38
	"mem.vmstat.pgscan_kswapd_dma",
#define MEM_SCAN_KDMA32	39
	"mem.vmstat.pgscan_kswapd_dma32",
#define MEM_SCAN_KHIGH	40
	"mem.vmstat.pgscan_kswapd_high",
#define MEM_SCAN_KMOVABLE	41
	"mem.vmstat.pgscan_kswapd_movable",
#define MEM_SCAN_KNORMAL	42
	"mem.vmstat.pgscan_kswapd_normal",
#define MEM_STEAL_DMA	43
	"mem.vmstat.pgsteal_dma",
#define MEM_STEAL_DMA32	44
	"mem.vmstat.pgsteal_dma32",
#define MEM_STEAL_HIGH	45
	"mem.vmstat.pgsteal_high",
#define MEM_STEAL_MOVABLE	46
	"mem.vmstat.pgsteal_movable",
#define MEM_STEAL_NORMAL	47
	"mem.vmstat.pgsteal_normal",
#define MEM_ALLOCSTALL	48
	"mem.vmstat.allocstall",
#define MEM_COMPACTSTALL	49
	"mem.vmstat.compact_stall",
#define MEM_OOM_KILL	50
	"mem.vmstat.oom_kill",

/* /proc/meminfo */
#define MEM_SWAPCACHED	51
	"mem.util.swapCached",
#define MEM_CACHEMEM	52
	"mem.util.cached",
#define MEM_CACHEDRT	53
	"mem.util.dirty",
#define MEM_PHYSMEM	54
	"mem.physmem",
#define MEM_FREEMEM	55
	"mem.freemem",
#define MEM_BUFFERMEM	56
	"mem.util.bufmem",
#define MEM_SHMEM	57
	"mem.util.shmem",
#define MEM_TOTSWAP	58
	"swap.length",
#define MEM_FREESWAP	59
	"swap.free",
#define MEM_SLABMEM	60
	"mem.util.slab",
#define MEM_SLABRECLAIM	61
	"mem.util.slabReclaimable",
#define MEM_COMMITTED	62
	"mem.util.committed_AS",
#define MEM_COMMITLIM	63
	"mem.util.commitLimit",
#define MEM_TOTHUGEPAGE	64
	"mem.util.hugepagesTotal",
#define MEM_FREEHUGEPAGE	65
	"mem.util.hugepagesFree",

#define HUGEPAGESZ	66
	"hinv.hugepagesize",
#define MAP_CPU_NODE	67
	"hinv.map.cpu_node",

/* NUMA memory metrics */
#define PERNODE_MEM_TOTAL	68
	"mem.numa.util.total",
#define PERNODE_MEM_FREE	69
	"mem.numa.util.free",
#define PERNODE_MEM_FILE	70
	"mem.numa.util.filePages",
#define PERNODE_MEM_DIRTY	71
	"mem.numa.util.dirty",
#define PERNODE_MEM_SLAB	72
	"mem.numa.util.slab",
#define PERNODE_MEM_SRECLAIM	73
	"mem.numa.util.slabReclaimable",
#define PERNODE_MEM_ACTIVE	74
	"mem.numa.util.active",
#define PERNODE_MEM_INACTIVE	75
	"mem.numa.util.inactive",
#define PERNODE_MEM_SHMEM	76
	"mem.numa.util.shmem",
#define PERNODE_MEM_HUGEPAGES	77
	"mem.numa.util.hugepagesTotalBytes",

/* /sys/kernel/debug/ksm */
#define PERNODE_MEM_EXTFRAG	78
	"sysfs.kernel.debug.extfrag_unusable",

/* NUMA CPU metrics */
#define PERNODE_CPU_SYS	79
	"kernel.pernode.cpu.sys",
#define PERNODE_CPU_USER	80
	"kernel.pernode.cpu.user",
#define PERNODE_CPU_NICE	81
	"kernel.pernode.cpu.nice",
#define PERNODE_CPU_IDLE	82
	"kernel.pernode.cpu.idle",
#define PERNODE_CPU_IOWAIT	83
	"kernel.pernode.cpu.wait.total",
#define PERNODE_CPU_IRQ_HARD	84
	"kernel.pernode.cpu.irq.hard",
#define PERNODE_CPU_IRQ_SOFT	85
	"kernel.pernode.cpu.irq.soft",
#define PERNODE_CPU_STEAL	86
	"kernel.pernode.cpu.steal",
#define PERNODE_CPU_GUEST	87
	"kernel.pernode.cpu.guest",

/* /sys/kernel/mm/ksm */
#define MEM_KSMSHARED	88
	"mem.ksm.pages_shared",
#define MEM_KSMSHARING	89
	"mem.ksm.pages_sharing",

/* shmctl(2) */
#define MEM_SHMRSS	90
	"ipc.shm.rss",
#define MEM_SHMSWP	91
	"ipc.shm.swp",

/* /proc/net/dev */
#define PERINTF_RBYTE	92
	"network.interface.in.bytes",
#define PERINTF_RPACK	93
	"network.interface.in.packets",
#define PERINTF_RERRS	94
	"network.interface.in.errors",
#define PERINTF_RDROP	95
	"network.interface.in.drops",
#define PERINTF_RFIFO	96
	"network.interface.in.fifo",
#define PERINTF_RFRAME	97
	"network.interface.in.frame",
#define PERINTF_RCOMPR	98
	"network.interface.in.compressed",
#define PERINTF_RMULTIC	99
	"network.interface.in.mcasts",
#define PERINTF_SBYTE	100
	"network.interface.out.bytes",
#define PERINTF_SPACK	101
	"network.interface.out.packets",
#define PERINTF_SERRS	102
	"network.interface.out.errors",
#define PERINTF_SDROP	103
	"network.interface.out.drops",
#define PERINTF_SFIFO	104
	"network.interface.out.fifo",
#define PERINTF_SCOLLIS	105
	"network.interface.collisions",
#define PERINTF_SCARRIER	106
	"network.interface.out.carrier",
#define PERINTF_SCOMPR	107
	"network.interface.out.compressed",

/* /proc/net/snmp */
#define IPV4_Forwarding	108
	"network.ip.forwarding",
#define IPV4_DefaultTTL	109
	"network.ip.defaultttl",
#define IPV4_InReceives	110
	"network.ip.inreceives",
#define IPV4_InHdrErrors	111
	"network.ip.inhdrerrors",
#define IPV4_InAddrErrors	112
	"network.ip.inaddrerrors",
#define IPV4_ForwDatagrams	113
	"network.ip.forwdatagrams",
#define IPV4_InUnknownProtos	114
	"network.ip.inunknownprotos",
#define IPV4_InDiscards	115
	"network.ip.indiscards",
#define IPV4_InDelivers	116
	"network.ip.indelivers",
#define IPV4_OutRequests	117
	"network.ip.outrequests",
#define IPV4_OutDiscards	118
	"network.ip.outdiscards",
#define IPV4_OutNoRoutes	119
	"network.ip.outnoroutes",
#define IPV4_ReasmTimeout	120
	"network.ip.reasmtimeout",
#define IPV4_ReasmReqds	121
	"network.ip.reasmreqds",
#define IPV4_ReasmOKs	122
	"network.ip.reasmoks",
#define IPV4_ReasmFails	123
	"network.ip.reasmfails",
#define IPV4_FragOKs	124
	"network.ip.fragoks",
#define IPV4_FragFails	125
	"network.ip.fragfails",
#define IPV4_FragCreates	126
	"network.ip.fragcreates",
#define ICMP4_InMsgs	127
	"network.icmp.inmsgs",
#define ICMP4_InErrors	128
	"network.icmp.inerrors",
#define ICMP4_InDestUnreachs	129
	"network.icmp.indestunreachs",
#define ICMP4_InTimeExcds	130
	"network.icmp.intimeexcds",
#define ICMP4_InParmProbs	131
	"network.icmp.inparmprobs",
#define ICMP4_InSrcQuenchs	132
	"network.icmp.insrcquenchs",
#define ICMP4_InRedirects	133
	"network.icmp.inredirects",
#define ICMP4_InEchos	134
	"network.icmp.inechos",
#define ICMP4_InEchoReps	135
	"network.icmp.inechoreps",
#define ICMP4_InTimestamps	136
	"network.icmp.intimestamps",
#define ICMP4_InTimestampReps	137
	"network.icmp.intimestampreps",
#define ICMP4_InAddrMasks	138
	"network.icmp.inaddrmasks",
#define ICMP4_InAddrMaskReps	139
	"network.icmp.inaddrmaskreps",
#define ICMP4_OutMsgs	140
	"network.icmp.outmsgs",
#define ICMP4_OutErrors	141
	"network.icmp.outerrors",
#define ICMP4_OutDestUnreachs	142
	"network.icmp.outdestunreachs",
#define ICMP4_OutTimeExcds	143
	"network.icmp.outtimeexcds",
#define ICMP4_OutParmProbs	144
	"network.icmp.outparmprobs",
#define ICMP4_OutSrcQuenchs	145
	"network.icmp.outsrcquenchs",
#define ICMP4_OutRedirects	146
	"network.icmp.outredirects",
#define ICMP4_OutEchos	147
	"network.icmp.outechos",
#define ICMP4_OutEchoReps	148
	"network.icmp.outechoreps",
#define ICMP4_OutTimestamps	149
	"network.icmp.outtimestamps",
#define ICMP4_OutTimestampReps	150
	"network.icmp.outtimestampreps",
#define ICMP4_OutAddrMasks	151
	"network.icmp.outaddrmasks",
#define ICMP4_OutAddrMaskReps	152
	"network.icmp.outaddrmaskreps",
#define TCP_RtoAlgorithm	153
	"network.tcp.rtoalgorithm",
#define TCP_RtoMin	154
	"network.tcp.rtomin",
#define TCP_RtoMax	155
	"network.tcp.rtomax",
#define TCP_MaxConn	156
	"network.tcp.maxconn",
#define TCP_ActiveOpens	157
	"network.tcp.activeopens",
#define TCP_PassiveOpens	158
	"network.tcp.passiveopens",
#define TCP_AttemptFails	159
	"network.tcp.attemptfails",
#define TCP_EstabResets	160
	"network.tcp.estabresets",
#define TCP_CurrEstab	161
	"network.tcp.currestab",
#define TCP_InSegs	162
	"network.tcp.insegs",
#define TCP_OutSegs	163
	"network.tcp.outsegs",
#define TCP_RetransSegs	164
	"network.tcp.retranssegs",
#define TCP_InErrs	165
	"network.tcp.inerrs",
#define TCP_OutRsts	166
	"network.tcp.outrsts",
#define UDPV4_InDatagrams	167
	"network.udp.indatagrams",
#define UDPV4_NoPorts	168
	"network.udp.noports",
#define UDPV4_InErrors	169
	"network.udp.inerrors",
#define UDPV4_OutDatagrams	170
	"network.udp.outdatagrams",

/* /proc/net/snmp6 */
#define IPV6_InReceives	171
	"network.ip6.inreceives",
#define IPV6_InHdrErrors	172
	"network.ip6.inhdrerrors",
#define IPV6_InTooBigErrors	173
	"network.ip6.intoobigerrors",
#define IPV6_InNoRoutes	174
	"network.ip6.innoroutes",
#define IPV6_InAddrErrors	175
	"network.ip6.inaddrerrors",
#define IPV6_InUnknownProtos	176
	"network.ip6.inunknownprotos",
#define IPV6_InTruncatedPkts	177
	"network.ip6.intruncatedpkts",
#define IPV6_InDiscards	178
	"network.ip6.indiscards",
#define IPV6_InDelivers	179
	"network.ip6.indelivers",
#define IPV6_OutForwDatagrams	180
	"network.ip6.outforwdatagrams",
#define IPV6_OutRequests	181
	"network.ip6.outrequests",
#define IPV6_OutDiscards	182
	"network.ip6.outdiscards",
#define IPV6_OutNoRoutes	183
	"network.ip6.outnoroutes",
#define IPV6_ReasmTimeout	184
	"network.ip6.reasmtimeout",
#define IPV6_ReasmReqds	185
	"network.ip6.reasmreqds",
#define IPV6_ReasmOKs	186
	"network.ip6.reasmoks",
#define IPV6_ReasmFails	187
	"network.ip6.reasmfails",
#define IPV6_FragOKs	188
	"network.ip6.fragoks",
#define IPV6_FragFails	189
	"network.ip6.fragfails",
#define IPV6_FragCreates	190
	"network.ip6.fragcreates",
#define IPV6_InMcastPkts	191
	"network.ip6.inmcastpkts",
#define IPV6_OutMcastPkts	192
	"network.ip6.outmcastpkts",
#define ICMPV6_InMsgs	193
	"network.icmp6.inmsgs",
#define ICMPV6_InErrors	194
	"network.icmp6.inerrors",
#define ICMPV6_InDestUnreachs	195
	"network.icmp6.indestunreachs",
#define ICMPV6_InPktTooBigs	196
	"network.icmp6.inpkttoobigs",
#define ICMPV6_InTimeExcds	197
	"network.icmp6.intimeexcds",
#define ICMPV6_InParmProblems	198
	"network.icmp6.inparmproblems",
#define ICMPV6_InEchos	199
	"network.icmp6.inechos",
#define ICMPV6_InEchoReplies	200
	"network.icmp6.inechoreplies",
#define ICMPV6_InGroupMembQueries	201
	"network.icmp6.ingroupmembqueries",
#define ICMPV6_InGroupMembResponses	202
	"network.icmp6.ingroupmembresponses",
#define ICMPV6_InGroupMembReductions	203
	"network.icmp6.ingroupmembreductions",
#define ICMPV6_InRouterSolicits	204
	"network.icmp6.inroutersolicits",
#define ICMPV6_InRouterAdvertisements	205
	"network.icmp6.inrouteradvertisements",
#define ICMPV6_InNeighborSolicits	206
	"network.icmp6.inneighborsolicits",
#define ICMPV6_InNeighborAdvertisements	207
	"network.icmp6.inneighboradvertisements",
#define ICMPV6_InRedirects	208
	"network.icmp6.inredirects",
#define ICMPV6_OutMsgs	209
	"network.icmp6.outmsgs",
#define ICMPV6_OutDestUnreachs	210
	"network.icmp6.outdestunreachs",
#define ICMPV6_OutPktTooBigs	211
	"network.icmp6.outpkttoobigs",
#define ICMPV6_OutTimeExcds	212
	"network.icmp6.outtimeexcds",
#define ICMPV6_OutParmProblems	213
	"network.icmp6.outparmproblems",
#define ICMPV6_OutEchoReplies	214
	"network.icmp6.outechoreplies",
#define ICMPV6_OutRouterSolicits	215
	"network.icmp6.outroutersolicits",
#define ICMPV6_OutNeighborSolicits	216
	"network.icmp6.outneighborsolicits",
#define ICMPV6_OutNeighborAdvertisements	217
	"network.icmp6.outneighboradvertisements",
#define ICMPV6_OutRedirects	218
	"network.icmp6.outredirects",
#define ICMPV6_OutGroupMembResponses	219
	"network.icmp6.outgroupmembresponses",
#define ICMPV6_OutGroupMembReductions	220
	"network.icmp6.outgroupmembreductions",
#define UDPV6_InDatagrams	221
	"network.udp6.indatagrams",
#define UDPV6_NoPorts	222
	"network.udp6.noports",
#define UDPV6_InErrors	223
	"network.udp6.inerrors",
#define UDPV6_OutDatagrams	224
	"network.udp6.outdatagrams",

/* /proc/net/sockstat */
#define NET_SOCKSTAT_TCPMEM	225
	"network.sockstat.tcp.mem",
#define NET_SOCKSTAT_UDPMEM	226
	"network.sockstat.udp.mem",

/* /proc/diskstats or /proc/partitions */
#define PERDISK_NREAD	227
	"disk.dev.read",
#define PERDISK_NRSECT	228
	"disk.dev.blkread",
#define PERDISK_NWRITE	229
	"disk.dev.write",
#define PERDISK_NWSECT	230
	"disk.dev.blkwrite",
#define PERDISK_IO_MS	231
	"disk.dev.avactive",
#define PERDISK_AVEQ	232
	"disk.dev.aveq",
#define PERDISK_NDISC	233
	"disk.dev.discard",
#define PERDISK_NDSECT	234
	"disk.dev.blkdiscard",
#define PERDISK_INFLIGHT	235
	"disk.dev.inflight",
#define PERDM_NREAD	236
	"disk.dm.read",
#define PERDM_NRSECT	237
	"disk.dm.blkread",
#define PERDM_NWRITE	238
	"disk.dm.write",
#define PERDM_NWSECT	239
	"disk.dm.blkwrite",
#define PERDM_NDISC	240
	"disk.dm.discard",
#define PERDM_NDSECT	241
	"disk.dm.blkdiscard",
#define PERDM_INFLIGHT	242
	"disk.dm.inflight",
#define PERMD_NREAD	243
	"disk.md.read",
#define PERMD_NRSECT	244
	"disk.md.blkread",
#define PERMD_NWRITE	245
	"disk.md.write",
#define PERMD_NWSECT	246
	"disk.md.blkwrite",
#define PERMD_NDISC	247
	"disk.md.discard",
#define PERMD_NDSECT	248
	"disk.md.blkdiscard",
#define PERMD_INFLIGHT	249
	"disk.md.inflight",

/* /proc/net/rpc/nfsd */
#define NFS_RCHITS	250
	"rpc.server.rchits",
#define NFS_RCMISS	251
	"rpc.server.rcmisses",
#define NFS_RCNOCACHE	252
	"rpc.server.rcnocache",
#define NFS_IORD	253
	"rpc.server.io_read",
#define NFS_IOWR	254
	"rpc.server.io_write",
#define NFS_NETCNT	255
	"rpc.server.netcnt",
#define NFS_UDP	256
	"rpc.server.netudpcnt",
#define NFS_TCP	257
	"rpc.server.nettcpcnt",
#define NFS_TCPCONN	258
	"rpc.server.nettcpconn",
#define NFS_RPCCNT	259
	"rpc.server.rpccnt",
#define NFS_RPCBADFMT	260
	"rpc.server.rpcbadfmt",
#define NFS_RPCBADAUTH	261
	"rpc.server.rpcbadauth",
#define NFS_RPCBADCLNT	262
	"rpc.server.rpcbadclnt",
#define NFS_REQS	263
	"nfs.server.reqs",
#define NFS3_REQS	264
	"nfs3.server.reqs",
#define NFS4_REQS	265
	"nfs4.server.reqs",

/* /proc/net/rpc/nfs */
#define NFC_RPCCNT	266
	"rpc.client.rpccnt",
#define NFC_RETRANS	267
	"rpc.client.rpcretrans",
#define NFC_AUTHREFRESH	268
	"rpc.client.rpcauthrefresh",
#define NFC_REQS	269
	"nfs.client.reqs",
#define NFC3_REQS	270
	"nfs3.client.reqs",
#define NFC4_REQS	271
	"nfs4.client.reqs",

/* /proc/self/mountstats */
#define PERNFS_EXPORT	272
	"nfsclient.export",
#define PERNFS_AGE	273
	"nfsclient.age",
#define PERNFS_RDBYTES	274
	"nfsclient.bytes.read.normal",
#define PERNFS_WRBYTES	275
	"nfsclient.bytes.write.normal",
#define PERNFS_DRDBYTES	276
	"nfsclient.bytes.read.direct",
#define PERNFS_DWRBYTES	277
	"nfsclient.bytes.write.direct",
#define PERNFS_TOTRDBYTES	278
	"nfsclient.bytes.read.server",
#define PERNFS_TOTWRBYTES	279
	"nfsclient.bytes.write.server",
#define PERNFS_RDPAGES	280
	"nfsclient.pages.read",
#define PERNFS_WRPAGES	281
	"nfsclient.pages.write",

/* /proc/pressure/{cpu,memory,io} */
#define PSI_CPUSOME_AVG	282
	"kernel.all.pressure.cpu.some.avg",
#define PSI_CPUSOME_TOTAL	283
	"kernel.all.pressure.cpu.some.total",
#define PSI_MEMSOME_AVG	284
	"kernel.all.pressure.memory.some.avg",
#define PSI_MEMSOME_TOTAL	285
	"kernel.all.pressure.memory.some.total",
#define PSI_MEMFULL_AVG	286
	"kernel.all.pressure.memory.full.avg",
#define PSI_MEMFULL_TOTAL	287
	"kernel.all.pressure.memory.full.total",
#define PSI_IOSOME_AVG	288
	"kernel.all.pressure.io.some.avg",
#define PSI_IOSOME_TOTAL	289
	"kernel.all.pressure.io.some.total",
#define PSI_IOFULL_AVG	290
	"kernel.all.pressure.io.full.avg",
#define PSI_IOFULL_TOTAL	291
	"kernel.all.pressure.io.full.total",

/* /proc/spl/kstat/zfs/arcstats */
#define ZFS_ARCSIZE	292
	"zfs.arc.size",

/* /sys/kernel/debug/zswap */
#define ZSWAP_TOTALSIZE	293
	"zswap.pool_total_size",
#define ZSWAP_STOREDMEM	294
	"zswap.stored_pages",

/* hardware events */
#define PERCPU_PERF_INST1	295
	"perfevent.hwcounters.INSTRUCTION_RETIRED.value",
#define PERCPU_PERF_INSTR	296
	"perfevent.hwcounters.INSTRUCTIONS_RETIRED.value",
#define PERCPU_PERF_CYCLE	297
	"perfevent.hwcounters.UNHALTED_REFERENCE_CYCLES.value",

/* Infiniband */
#define PERIFB_PORT_LID	298
	"infiniband.port.lid",
#define PERIFB_PORT_RATE	299
	"infiniband.port.rate",
#define PERIFB_PORT_WIDTH	300
	"infiniband.port.linkwidth",
#define PERIFB_PORT_INB	301
	"infiniband.port.in.bytes",
#define PERIFB_PORT_OUTB	302
	"infiniband.port.out.bytes",
#define PERIFB_PORT_INPKT	303
	"infiniband.port.in.packets",
#define PERIFB_PORT_OUTPKT	304
	"infiniband.port.out.packets",

/* http status */
#define WWW_ACCESSES	305
	"apache.total_accesses",
#define WWW_TOTKBYTES	306
	"apache.total_kbytes",
#define WWW_UPTIME	307
	"apache.uptime",
#define WWW_BWORKERS	308
	"apache.busy_servers",
#define WWW_IWORKERS	309
	"apache.idle_servers",

/* Nvidia GPUs */
#define GPU_CARDNAME	310
	"nvidia.cardname",
#define GPU_BUSID	311
	"nvidia.busid",
#define GPU_GPUBUSY	312
	"nvidia.gpuactive",
#define GPU_MEMBUSY	313
	"nvidia.memactive",
#define GPU_MEMUSED	314
	"nvidia.memused",
#define GPU_MEMTOTAL	315
	"nvidia.memtotal",
#define GPU_NGPUPROCS	316
	"nvidia.nprocs",
#define GPU_SAMPLES	317
	"nvidia.samples",
#define GPU_GPUBUSY_ACCUM	318
	"nvidia.gpuutilaccum",
#define GPU_MEMBUSY_ACCUM	319
	"nvidia.memutilaccum",
#define GPU_MEMUSED_ACCUM	320
	"nvidia.memusedaccum",

/* end marker - provides count */
#define SYST_NMETRICS	321
	".",

};

